Opened 4 years ago

Closed 4 years ago

#44256 closed defect (fixed)

Tor v0.2.4.20 Potential OpenSSL headers incompatibility. Recompile with latest OpenSSL

Reported by: public2007+mp@… Owned by: ryandesign (Ryan Schmidt)
Priority: Normal Milestone:
Component: ports Version: 2.3.1
Keywords: Cc: mww@…
Port: tor

Description (last modified by ryandesign (Ryan Schmidt))

tor --verify-config 
    [notice] Tor v0.2.4.20 (git-3cb5c70beec5bf46) running on Darwin with Libevent 2.0.21-stable and OpenSSL 1.0.1h.

    [warn] OpenSSL version from headers does not match the version we're running with. If you get weird crashes, that might be why. (Compiled with 1000105f: OpenSSL 1.0.1e 11 Feb 2013; running with 1000108f: OpenSSL 1.0.1h 5 Jun 2014).

Recompile Tor with current MacPorts version of OpenSSL

Change History (2)

comment:1 Changed 4 years ago by ryandesign (Ryan Schmidt)

Cc: mww@… added
Description: modified (diff)
Keywords: tor openssl removed
Owner: changed from macports-tickets@… to ryandesign@…
Status: newassigned

A note should also be added to the openssl port so that we remember to do this every time the openssl port is updated.

comment:2 Changed 4 years ago by ryandesign (Ryan Schmidt)

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.